using System;

internal sealed class Delegate601 : MulticastDelegate
{
	public extern IAsyncResult Invoke(object object_0, AsyncCallback asyncCallback_0, object object_1);

	public static IAsyncResult smethod_0(object object_0, AsyncCallback asyncCallback_0, object object_1, Delegate601 delegate601_1)
	{
		return delegate601_1(object_0, asyncCallback_0, object_1);
	}

	public extern Delegate601(object object_0, IntPtr intptr_0);

	static Delegate601()
	{
		Class10.smethod_13(typeof(Delegate601).TypeHandle);
	}

	internal static Delegate601 delegate601_0;
}
